;
;        ERRORLEVEL -224         ; vypnuti upozornovani na chyby v trisb
;        ERRORLEVEL -207         ; nezajem o spravne umisteni od okraje...
;;-----------------------------------------------------------------------;
;;                            Nastaveni konstant                         ;
;;-----------------------------------------------------------------------;
;            HOURMAX     equ     H'18'       ; limit dne - pulnoc
;            WEEKMAX     equ     H'08'
;            D_HR        equ     D'23'
;            D_MIN       equ     D'59'
;            D_SEC       equ     D'51'
;            D_WEEK      equ     D'7'
;            D_STATE     equ     D'1'
;            KAT_HR      equ     H'01'       ; RA0 - katoda 1
;            KAT_MIN     equ     H'02'       ; RA1 - katoda 2
;            KAT_SEC     equ     H'04'       ; .
;            KAT_WEEK    equ     H'08'       ; .
;            KAT_STATE   equ     H'10'       ; .
;            R_1         equ     D'1'        ; 1. rezim - stale zobrazeni
;            R_2         equ     D'2'        ; 2. rezim - blikajici zobrazeni
;            R_3         equ     D'3'        ; 3. rezim - zobrazeni vypnuto
;            R_4         equ     D'4'
;;            R_5         equ     D'5'
;            R_MAX       equ     D'5'        ; celkovy pocet rezimu +1
;            VER_LENGTH  equ     D'4'
;            DOUBLE_TIME equ     D'254'      ; cas na rozpoznani dvojkliku
;
;;-----------------------------------------------------------------------;
;;                  Nastaveni registru/promennych <20H;4F>               ;
;;-----------------------------------------------------------------------;
;            OffRam      equ     H'20'       ; offset pro PIC16F628 0x20 (volne vsak i pro 16F84)
;            week        equ     OffRam      ; registr tydne
;            sec         equ     OffRam+1    ; registr sekund
;            min         equ     OffRam+2    ; registr minut
;            hr          equ     OffRam+3    ; registr hodin
;            state       equ     OffRam+4    ; stavovy registr
;            state_back  equ     OffRam+13   ; pro zalohu stavoveho registru
;            por_reg     equ     OffRam+5    ; urcuje poradi zobrazovaneho registru
;            w_temp      equ     OffRam+6    ; zaloha W
;            status_temp equ     OffRam+7    ; zaloha STATUS
;            fsr_temp    equ     OffRam+8    ; zaloha FSR
;            button      equ     OffRam+9    ; maska pro tlacitka
;            pom         equ     OffRam+10   ; pomocna promenna
;            cykl        equ     OffRam+11   ; pocitani cyklu pri odesilani bitu
;            pom2        equ     OffRam+12
;            bit_stavy   equ     OffRam+14   ; obsahuje stavy bitu pro rozlicne ucely
;            rotor       equ     OffRam+15
;
;;-----------------------------------------------------------------------;
;;             Direktivy pro vetsi prehlednost a moznost upravy          ;
;;-----------------------------------------------------------------------;
;            #DEFINE     STATEB  PORTB, 3    ; tlacitko RB3
;            STATEB_MASK equ     B'00001000' ; maska portu RB3
;            #DEFINE     SELECTB PORTB, 4    ; RB4 atd.
;            SELECTB_MASK equ    B'00010000' ; maska RB4 atd.
;            #DEFINE     SETB    PORTB, 5
;            SETB_MASK   equ     B'00100000'
;            #DEFINE     UNDEFB  PORTB, 6
;            UNDEFB_MASK equ     B'01000000'
;
;            #define     ALARM   PORTB, 7    ; pripojeni reproduktoru
;
;            #define     OUT_STB PORTB, 0    ; in port pro zapis 4094
;            #define     OUT_D   PORTB, 1    ; in port pro data 4094
;            #define     OUT_CLK PORTB, 2    ; in port pro clock 4094
    end